# Uses of Class
org.eclipse.jdt.core.dom.rewrite.ASTRewrite

Packages that use ASTRewrite
Package
Description
org.eclipse.jdt.core.dom.rewrite
The Java DOM/AST rewrite is the set of classes that are used to make changes to an existing DOM/AST tree.
org.eclipse.jdt.ui.text.java.correction
Application programming interfaces for correction proposals.

## Uses of ASTRewrite in org.eclipse.jdt.core.dom.rewrite

Methods in org.eclipse.jdt.core.dom.rewrite that return ASTRewrite
Modifier and Type
Method
Description
`static ASTRewrite`
ASTRewrite.`create(AST ast)`
Creates a new instance for describing manipulations of the given AST.
`ASTRewrite`
ListRewrite.`getASTRewrite()`
Returns the ASTRewrite instance from which this ListRewriter has been created from.

## Uses of ASTRewrite in org.eclipse.jdt.ui.text.java.correction

Methods in org.eclipse.jdt.ui.text.java.correction that return ASTRewrite
Modifier and Type
Method
Description
`protected ASTRewrite`
ASTRewriteCorrectionProposal.`getRewrite()`
Constructors in org.eclipse.jdt.ui.text.java.correction with parameters of type ASTRewrite
Modifier
Constructor
Description
``
`ASTRewriteCorrectionProposal(String name, ICompilationUnit cu, ASTRewrite rewrite, int relevance)`
Constructs an AST rewrite correction proposal.
``
`ASTRewriteCorrectionProposal(String name, ICompilationUnit cu, ASTRewrite rewrite, int relevance, org.eclipse.swt.graphics.Image image)`
Constructs an AST rewrite correction proposal.
``
`ASTRewriteCorrectionProposal(String name, ICompilationUnit cu, ASTRewrite rewrite, int relevance, org.eclipse.swt.graphics.Image image, org.eclipse.jdt.ui.text.java.correction.ASTRewriteCorrectionProposalCore delegate)`
Constructs an AST rewrite correction proposal.